- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Deploys an application.
HTTP request
POST https://designcenter.googleapis.com/v1/{name=projects/*/locations/*/spaces/*/applications/*}:deploy
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The application name. Format: |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "replace": boolean, "workerPool": string, "serviceAccount": string } |
| Fields | |
|---|---|
replace |
Optional. Flag to update the existing deployment. If not set or false, deploy will fail if application |
workerPool |
Optional. The user-specified Worker Pool resource in which the Cloud Build job will execute. Format: projects/{project}/locations/{location}/workerPools/{workerPoolId} If this flag is omitted, the worker pool already defined on the application will be used. If no worker pool is defined on the application, the default Cloud Build worker pool is used. The worker pool must exist in the same region as the application. |
serviceAccount |
Optional. The email address of the service account to use for this deployment.
|
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
designcenter.applications.update
For more information, see the IAM documentation.